python-oslo.log (7.1.0-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 15:13:08 +0100

python-oslo.log (7.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed Add_missing_contextmanager_interfaces_to_PipeMutex.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 15:37:10 +0100

python-oslo.log (6.1.2-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090570).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:51:25 +0100

python-oslo.log (6.1.2-3) unstable; urgency=medium

  * Add Add_missing_contextmanager_interfaces_to_PipeMutex.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Nov 2024 09:05:19 +0100

python-oslo.log (6.1.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:53:28 +0200

python-oslo.log (6.1.2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 16:43:12 +0200

python-oslo.log (5.5.1-2) unstable; urgency=medium

  * Drop the obsolete python3-mock dependency (Closes: #1070212).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 May 2024 08:25:39 +0200

python-oslo.log (5.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2024 10:17:56 +0200

python-oslo.log (5.5.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:35:23 +0200

python-oslo.log (5.5.0-2) experimental; urgency=medium

  * Removed obsolete dependency on python3-six (Closes: #1064631).

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2024 00:24:23 +0100

python-oslo.log (5.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 21:47:47 +0100

python-oslo.log (5.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 12:24:30 +0100

python-oslo.log (5.3.0-3) unstable; urgency=medium

  * Added python3-pyasyncore as (build-)depends (Closes: #1058117).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2023 22:00:18 +0100

python-oslo.log (5.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 13:28:49 +0200

python-oslo.log (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-eventlet as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 12:46:47 +0200

python-oslo.log (5.2.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047472).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 12:21:42 +0200

python-oslo.log (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Blacklist test_log.LogConfigTestCase.test_log_config_append_invalid.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:28:42 +0200

python-oslo.log (5.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed eventlet from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 09:49:18 +0100

python-oslo.log (5.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 10:45:47 +0100

python-oslo.log (5.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Add python3-eventlet as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Oct 2022 15:31:04 +0200

python-oslo.log (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:49:03 +0200

python-oslo.log (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 16:18:55 +0200

python-oslo.log (4.7.0-3) unstable; urgency=medium

  * autopkgtest: blacklist failing unit tests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Apr 2022 14:29:02 +0200

python-oslo.log (4.7.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 16:00:34 +0100

python-oslo.log (4.7.0-1) experimental; urgency=medium

  * Blacklist ContextFormatterTestCase.test_user_identity_logging and
    ContextFormatterTestCase.test_user_identity_logging_set_format which are
    failing when backported to Bullseye.
  * New upstream release.
  * Blacklist and test_emit() test_emit_exception(), as the "actual" data is
    not matching the real output anymore.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2022 16:25:57 +0100

python-oslo.log (4.6.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 11:43:38 +0100

python-oslo.log (4.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 16:38:25 +0200

python-oslo.log (4.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Added myself in copyright and uploaders.
 
 -- papamica <mickael@papamica.com>  Mon, 23 Aug 2021 08:38:12 -0500

python-oslo.log (4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed d/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 23:15:25 +0200

python-oslo.log (4.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 20:42:28 +0200

python-oslo.log (4.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jun 2020 10:37:08 +0200

python-oslo.log (4.1.1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:07:09 +0200

python-oslo.log (4.1.1-2) experimental; urgency=medium

  * Remove python3-funcsigs from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Apr 2020 23:12:07 +0200

python-oslo.log (4.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed skip-py3.7-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 15:15:52 +0200

python-oslo.log (3.44.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:20:34 +0200

python-oslo.log (3.44.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed python3-monotonic from (build-)depends.
  * Set openstack-pkg-tools to be (>= 99~).
  * pkgos-dh_auto_install: add --no-py2.
  * More fixes for Py3 only.
  * Blacklist LogConfigTestCase.test_log_config_append_unreadable() until
    upstream bug #1842639 is fixed.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 11:47:00 +0200

python-oslo.log (3.42.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:37:55 +0200

python-oslo.log (3.42.3-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Fixed (build-)depends for this release, removed versions satisfied in
    Buster.
  * Remove patch to skip some tests in Python 3.6, fixed upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 21:18:50 +0100

python-oslo.log (3.39.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:06:24 +0200

python-oslo.log (3.39.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release and building sphinx doc with
    Python 3.
  * Add skip-py3.7-test.patch (taken from Ubuntu).

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Aug 2018 22:37:47 +0200

python-oslo.log (3.36.0-3) unstable; urgency=medium

  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 18:47:52 +0000

python-oslo.log (3.36.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:24:08 +0000

python-oslo.log (3.36.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 08:28:50 +0000

python-oslo.log (3.30.2-1) unstable; urgency=medium

  * New upstream release.
  * Build-depends on python-openstackdocstheme (>= 1.16.0).
  * (Build-)depends on python{,}3-oslo.serialization (>= 2.20.2).
  * Using pkgos-dh_auto_{install,test}.
  * Switched to debhelper 10.
  * Updated VCS fields to use salsa.
  * Standards-Version is now 4.1.3.
  * Temporarily removed failing Py 3.6 tests (Closes: #884052).

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jan 2018 11:09:46 +0100

python-oslo.log (3.30.0-2) unstable; urgency=medium

  * Defines PYTHONPATH=. when building sphinx doc (Closes: #880183).
  * Uploading to unstable.
  * Fixed watch file.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 00:29:02 +0000

python-oslo.log (3.30.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless transition packages.
  * debian/gbp.conf using debian/pike.
  * Removed now useless pyinotify version patch.
  * Using update-alternatives to manage /usr/bin/convert-json.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Aug 2017 18:34:41 +0000

python-oslo.log (3.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed python{3,}-oslo.config (build-)depends version.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Jun 2016 11:27:26 +0200

python-oslo.log (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 08:26:51 +0000

python-oslo.log (3.2.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * d/p/allow-pyinotify-0.9.5.patch: Rebasing.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * d/control: Align depends with upstream.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2016 12:37:10 +0000

python-oslo.log (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright.
  * Removed install-missing-files.patch.
  * Rebased allow-pyinotify-0.9.5.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 05:58:54 +0000

python-oslo.log (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add patch to allow pyinotify 0.9.5.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 02:34:22 +0000

python-oslo.log (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 10:55:20 +0100

python-oslo.log (1.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 19:41:07 +0000

python-oslo.log (1.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 17:50:02 +0200

python-oslo.log (1.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Align (build)-depends with upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Sep 2015 08:48:41 +0000

python-oslo.log (1.7.0-1) experimental; urgency=medium

  [ James Page ]
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jul 2015 23:29:35 +0000

python-oslo.log (1.4.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to use Debian pypi redirector.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jun 2015 17:31:11 +0100

python-oslo.log (1.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements with upstream.
  * Re-align with Ubuntu:
    - d/control: Add transitional packages for *oslo-log.
    - d/control: Add Breaks/Replaces to support migration to oslo.log
      package names.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Jun 2015 08:47:27 +0100

python-oslo.log (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #776109)

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2015 14:58:25 +0100
